import { IIdentityService } from '@essential-projects/iam_contracts';
interface IWorkerConfig {
    workerId: string;
    topicName: string;
    pollingInterval: number;
    maxTasks: number;
    longPollingTimeout: number;
    lockDuration: number;
    processEngineUrl: string;
}
/**
 * Wraps an ExternalTaskWorker with a sample config and identity for easy use with the integrationtests.
 */
export declare class ExternalTaskSampleWorker {
    config: IWorkerConfig;
    private identityService;
    private sampleIdentity;
    private externalTaskWorker;
    constructor(identityService: IIdentityService);
    initialize(): Promise<void>;
    start<TPayload, TResult>(): void;
    stop(): void;
    private processExternalTask;
}
export {};
